Bug 648248 - Review Request: ghc-crypto-api - A generic interface for cryptographic operations
Review Request: ghc-crypto-api - A generic interface for cryptographic operat...
Status: CLOSED DUPLICATE of bug 925987
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
notready
:
Depends On: ghc-cereal 648247 ghc-tagged 892324 ghc-entropy
Blocks: 630302 800001
  Show dependency treegraph
 
Reported: 2010-10-31 12:56 EDT by Ben Boeckel
Modified: 2013-03-23 00:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-22 23:48:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-10-31 12:56:35 EDT
Spec URL: http://benboeckel.net/packaging/ghc-crypto-api/ghc-crypto-api.spec
SRPM URL: http://benboeckel.net/packaging/ghc-crypto-api/ghc-crypto-api-0.1.2.4-1.fc14.src.rpm
Description:
A generic interface for cryptographic operations, platform
independent quality RNG, property tests and known-answer
tests (KATs) for common algorithms, and a basic benchmark
infrastructure. Maintainers of hash and cipher
implementations are encouraged to add instances for the
classes defined in Crypto.Classes. Crypto users are similarly
encouraged to use the interfaces defined in the Classes
module. Any concepts or functions of general use to more than
one cryptographic algorithm (ex: padding) is within scope of
this package.

% lintmock fedora-14-x86_64-bb
ghc-crypto-api.src: W: strange-permission ghc-crypto-api-0.1.2.4-data-files.patch 0640L
ghc-crypto-api.src: W: strange-permission ghc-crypto-api.spec 0640L
ghc-crypto-api.src: W: strange-permission crypto-api-0.1.2.4.tar.gz 0640L
ghc-crypto-api-prof.x86_64: E: devel-dependency ghc-crypto-api-devel
ghc-crypto-api-prof.x86_64: W: no-documentation
ghc-crypto-api-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/crypto-api-0.1.2.4/libHScrypto-api-0.1.2.4_p.a
4 packages and 0 specfiles checked; 1 errors, 5 warnings.
Comment 1 Jens Petersen 2012-05-15 05:58:43 EDT
Now requires entropy and largeword.
Comment 2 Jens Petersen 2013-03-22 23:48:11 EDT
(largeword dep is gone btw: sometimes it is good to be slow ;o)

*** This bug has been marked as a duplicate of bug 925987 ***

Note You need to log in before you can comment on or make changes to this bug.